Package org.eclipse.core.resources

## Interface IResourceChangeListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `CloseResourceAction`, `CloseUnrelatedProjectsAction`, `FileDocumentProvider.FileSynchronizer`, `OpenResourceAction`, `SyncInfoCompareInput`, `WorkbenchContentProvider`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface IResourceChangeListener
    extends EventListener

A resource change listener is notified of changes to resources in the workspace. These changes arise from direct manipulation of resources, or indirectly through re-synchronization with the local file system.

Clients may implement this interface.

See Also:
  `IResourceDelta`, `IWorkspace.addResourceChangeListener(IResourceChangeListener, int)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `resourceChanged​(IResourceChangeEvent event)` Notifies this listener that some resource changes are happening, or have already happened.

### Method Detail

#### resourceChanged

    void resourceChanged​(IResourceChangeEvent event)

Notifies this listener that some resource changes are happening, or have already happened.

The supplied event gives details. This event object (and the resource delta within it) is valid only for the duration of the invocation of this method.

Note: This method is called by the platform; it is not intended to be called directly by clients.

Note that during resource change event notification, further changes to resources may be disallowed.

Parameters:
  `event` - the resource change event
See Also:
  `IResourceDelta`